import { ApiCall } from "tsrpc";
import { PlayerFun } from '../../public/player';
import { ReqSelect, ResSelect } from "../../shared/protocols/zhanqianbushu/PtlSelect";

export default async function (call: ApiCall<ReqSelect, ResSelect>) {
    let config = G.gc.fightPlan[call.req.type];
    if (!config && call.req.type != '') return call.error('', { code: -1 });

    await PlayerFun.addAttr(call, { selectMatrix: call.req.type });

    call.succ({});
}